create procedure sistema.sp_guardarModuloEmpresa
@numEmpresa int,
@numId int,
@numModulo int,
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	if @numId = 0
		begin
			insert into sistema.config_modulosEmpresa(idEmpresa,idModulo,idUsuario) values(@numEmpresa,@numModulo,@numUsuario);
			select @dbId = SCOPE_IDENTITY();
		end
	else
		begin
			set @dbId = @numId;
			update sistema.config_modulosEmpresa set idEmpresa = @numEmpresa,idModulo = @numModulo where id = @dbId;
		end

	set @dbRespuesta = 'success';
end